Bug 118164 - All but one header file is missing from iptables-devel 1.2.9
All but one header file is missing from iptables-devel 1.2.9
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-12 13:31 EST by Eli Wapniarski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-18 06:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2004-03-12 13:31:41 EST
All but one header file is missing from iptables-devel 1.2.9. They would be useful.
Comment 1 Thomas Woerner 2004-03-15 05:11:31 EST
Which header file do you need - and for what?

By the way: 'make install-devel' is only installing libipq.h,
libipq.a, libiptc.a and some man-pages.
Comment 2 Eli Wapniarski 2004-03-15 05:24:56 EST
I need them to be able to compile addons to iptables such as iptables-p2p. When I 
try to compile it I get the following output. 
 
[root@gw iptables-p2p-0.3.0a]# make 
make -C iptables 
make[1]: Entering directory `/usr/src/iptables-p2p-0.3.0a/iptables' 
gcc -O2 -Wall -DIPTABLES_VERSION=\"1.2.9\" -I../common  -c -o libipt_p2p.o 
libipt_p2p.c 
libipt_p2p.c:23:22: iptables.h: No such file or directory 
 
And of course iptables.h is nowhere to be found 
Comment 3 Thomas Woerner 2005-11-18 06:23:59 EST
iptables has no support to build shared libs and to install internal header
files for now. This has to be considered upstream.

Closing as DEFERRED for now.

Note You need to log in before you can comment on or make changes to this bug.